package walk

import "reflect"

func GenericMerge(c *WalkContext) (err error) {
	return
}

func KeepSrc(c *WalkContext) (err error) {
	if reflect.DeepEqual(c.Src, c.Dst) {
		return
	}
	c.Dst = c.Src
	c.Changed = true
	return
}

func RemoveValue(c *WalkContext) (err error) {
	if c.Dst == nil {
		return
	}

	c.Dst = nil
	c.Changed = true
	return
}
